# SPDX-FileCopyrightText: 2020 Framasoft <https://framasoft.org>
# SPDX-FileContributor: Thomas Citharel <thomas.citharel@framasoft.org>
#
# SPDX-License-Identifier: AGPL-3.0-only

all: dev-setup lint build-js-production test

# Dev env management
dev-setup: clean clean-dev npm-init

npm-init:
	npm ci

npm-update:
	npm update

# Building
build-js:
	npm run dev

build-js-production:
	npm run build

watch-js:
	npm run watch

# Testing
test:
	npm run test

test-watch:
	npm run test:watch

test-coverage:
	npm run test:coverage

# Linting
lint:
	npm run lint

lint-fix:
	npm run lint:fix

# Style linting
stylelint:
	npm run stylelint

stylelint-fix:
	npm run stylelint:fix

# Cleaning
clean:
	rm -f js/*

clean-dev:
	rm -rf node_modules
